import Vue from "vue";
import Router from "vue-router";

// 解决重复点菜单报错问题
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
Vue.use(Router);

export default new Router({
  routes: [
    { path: "/", redirect: "/redirectHomepage" },
    {
      path: "/index",
      component: () => import("../pages/homepage/layouts/homeLayout.vue"),
      children: [
        {
          name: "redirectHomepage",
          path: "/redirectHomepage",
          component: () => import("../pages/homepage/components/cardWrap.vue")
        },
        {
          name: "searchPage",
          path: "/searchPage",
          component: () => import("../pages/homepage/components/searchPage.vue")
        },
        {
          name: "entityDetail",
          path: "/entityDetail",
          component: () => import("../pages/homepage/components/entityDetail.vue")
        }
      ]
    }
  ]
});
